package com.abi.task.common.excel.preperties;


import com.abi.task.common.excel.common.AbstractExcelProperty;
import com.abi.task.common.excel.common.ExcelHeadAlias;
import lombok.Data;

/**
 * 活动
 * @author Andy.Tan
 */
@Data
public class FactoryProperty implements AbstractExcelProperty {

    @ExcelHeadAlias(value = "供应商id(必填)")
    private String factoryCode;

    @ExcelHeadAlias(value = "供应商名称(必填)")
    private String factoryName;

    @ExcelHeadAlias(value = "供应商类型(必填) 枚举值:包材厂,啤酒厂")
    private String factoryType;

    @ExcelHeadAlias(value = "供应商级别 1-一级供应商 2-二级供应商")
    private Integer factoryLevel;

    @ExcelHeadAlias(value = "省")
    private String province;

    @ExcelHeadAlias(value = "市")
    private String city;

    @ExcelHeadAlias(value = "区")
    private String district;

    @ExcelHeadAlias(value = "详细地址")
    private String address;

    @ExcelHeadAlias(value = "联系人姓名")
    private String keymanName;

    @ExcelHeadAlias(value = "联系人手机号")
    private String keymanMobile;

    @ExcelHeadAlias(value = "邮箱")
    private String email;

    @ExcelHeadAlias(value = "文件最大数")
    private String maxFileCount;

    @ExcelHeadAlias(value = "描述")
    private String description;

}
