package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.BaseActive;
import com.abi.qms.platform.dao.vo.result.ActivePackageVO;
import com.abi.qms.platform.dto.req.ListActiveReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 活动表 Mapper 接口
 * </p>
 *
 * @author Andy.Tan
 */
public interface BaseActiveMapper extends BaseMapper<BaseActive> {

    IPage<BaseActive> listActivePage(IPage page, @Param("param") ListActiveReq param);

    /**
     * 通过码活动id查询关联码包列表
     * @param page
     * @param activeId
     * @return
     */
    IPage<ActivePackageVO> listPackageById(IPage page, @Param("id") Long activeId);

}
