package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.QrBoxCodeFormatSplit;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 箱码幅面关联码库拆分数量 Mapper 接口
 * </p>
 *
 * @author Andy.Tan
 */
public interface QrBoxCodeFormatSplitMapper extends BaseMapper<QrBoxCodeFormatSplit> {

    /**
     * 根据ID删除拆分数量数据
     *
     * @param id
     */
    void deleteBySplitId(@Param("id") Long id);

    /**
     * 根据箱码幅面ID删除拆份数量数据
     *
     * @param boxCodeFormatId
     */
    void deleteByBoxCodeFormatId(@Param("boxCodeFormatId") Long boxCodeFormatId);
}
