package com.abi.task.common.excel.preperties;


import com.abi.task.common.excel.common.AbstractExcelProperty;
import com.abi.task.common.excel.common.ExcelHeadAlias;
import lombok.Data;

/**
 * SKU模板
 * @author Andy.Tan
 */
@Data
public class SkuProperty implements AbstractExcelProperty {

    @ExcelHeadAlias(value = "商品编号（即页面上手输的skuid）(必填)")
    private String skuCode;

    @ExcelHeadAlias(value = "sku名称（必填)")
    private String skuName;

    @ExcelHeadAlias(value = "子品牌名称（必填)")
    private String subBrandName;

}
